package study.xdoclet.ejb;

import javax.ejb.EntityBean;

/**
 * @ejb.bean name="Customer"
 *  jndi-name="ejb/Customer"
 *  local-jndi-name="ejb/CustomerLocal"
 *  type="CMP"
 *  view-type="both"
 *  primkey-field="customerId"
 * @ejb.finder 
 *    signature="java.util.Collection findAll()"  
 * @ejb.ejb-ref
 *  ejb-name = "Customer"
 *  view-type = "local"
 *  ref-name = "ejb/CustomerLocal"
 * @ejb.value-object
 *  match="*"
 * @ejb.util
 *  generate = "physical"
 * 
 * @jboss.persistence 
 *   table-name="customer" 
 *   create-table="true"
 *   remove-table="true"
 */
public abstract class CustomerBean implements EntityBean {

    /**
     * The  ejbCreate method.
     * @return null
     * @throws javax.ejb.CreateException
     * 
     * @ejb.create-method 
     */
    public java.lang.Integer ejbCreate() throws javax.ejb.CreateException {
        return null;
    }

    /**
     * The  ejbCreate method.
     * @param customerId
     * @param customerName
     * @return null
     * @throws javax.ejb.CreateException
     * 
     * @ejb.create-method 
     */
    public java.lang.Integer ejbCreate(
        java.lang.Integer customerId,
        java.lang.String customerName,
        java.lang.String customerAddress)
        throws javax.ejb.CreateException {
        setCustomerId(customerId);
        setCustomerName(customerName);
        setCustomerAddress(customerAddress);
        return null;
    }

    /**
     * Returns the customerId
     * @return the customerId
     * 
     * @ejb.persistent-field 
     * @ejb.pk-field 
     * @ejb.interface-method
     * @ejb.relation
     *    name="Customer-has-Mileage"
     *    role-name="Customer-has-Mileage"
     * 
     * @jboss.column-name
     *    name="customer_id"
     */
    public abstract java.lang.Integer getCustomerId();

    /**
     * Sets the customerId
     * @param java.lang.Integer the new customerId value
     * 
     * @ejb.interface-method
     */
    public abstract void setCustomerId(java.lang.Integer customerId);

    /**
     * Returns the customerName
     * @return the customerName
     * 
     * @ejb.persistent-field 
     * @ejb.interface-method
     * 
     * @jboss.column-name
     *    name="customer_name"
     */
    public abstract java.lang.String getCustomerName();

    /**
     * Sets the customerName
     * @param java.lang.String the new customerName value
     * 
     * @ejb.interface-method
     */
    public abstract void setCustomerName(java.lang.String customerName);

    /**
     * getCustomerAddress
     * @return
     * 
     * @ejb.persistent-field 
     * @ejb.interface-method
     * 
     * @jboss.column-name
     *    name="customer_address"
     */
    public abstract java.lang.String getCustomerAddress();

    /**
     * setCustomerAddress
     * @param customerAddress
     * 
     * @ejb.interface-method
     */
    public abstract void setCustomerAddress(java.lang.String customerAddress);

    /**
     * setCustomerValue
     * @param value
     * 
     * @ejb.interface-method 
     */
    public abstract void setCustomerValue(
        study.xdoclet.ejb.CustomerValue value);

}
